<?php

// Survey class as intermediate for storing answer data from the site to the RDF database 
require_once 'rdfConstants.php';

// Include RAP Library to write RDF files
include(RDFAPI_INCLUDE_DIR . "RDFAPI.php");



class SurveyAnswerDatabaseInterface
{		
	protected $surveyAnswerRDFWriter;
	protected $surveyAnswerRDFReader;
 

    public function __construct($surveyID,$applicationID)
    {					
		$this->surveyAnswerRDFWriter = new SurveyAnswerRDFWriter($surveyUID,$applicationID);
		$this->surveyAnswerRDFReader = new SurveyAnswerRDFReader($surveyUID,$applicationID);
    }
	
	public function setRespondentInfo($respondentInfo)
	{
		$respondentName = $surveyInfo['respondentName'];	
			
		$this->surveyAnswerRDFWriter->setRespondentData($respondentName);
	}
	
	public function setSurveyAnswerInfo($surveyInfo)
	{
		
		$qAnswers = array();
		$qNumber = 1;
		while (isset($surveyInfo['questionID'.$qNumber]))
		{
			if (isset($surveyInfo['q'.$qNumber.'answered']))
			{
				$qAnswers[$surveyInfo['questionID'.$qNumber]] = $surveyInfo['q'.$qNumber.'answered'];
			}
			
			$qNumber++;
		}
		
		$this->surveyAnswerRDFWriter->setAnswers($qAnswers);
	}
	
	public function getSurveyAnswerInfo()
	{
		
	}
}
?>